@use "src/styles/mixins";

.header {
  position: sticky;
  top: 0;
  width: 100%;
  display: flex;
  justify-content: center;
  z-index: 1;
}

.header__container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 20px;
  box-sizing: border-box;

  @include mixins.for-desktop {
    display: block;
    padding: 32px;
  }
}

.header__navigation {
  margin-left: 70px;

  @include mixins.for-desktop {
    margin-left: 0;
  }
}

.header__controls {
  margin-left: auto;
}

/* Mobile */
.header__mobile-container {
  padding: 12px;
  display: flex;
  justify-content: space-between;
}

.header__mobile-button {
  position: relative;
  display: flex;
  align-content: center;
  justify-content: center;
  padding: 6px;
  width: 36px;
  height: 36px;
  border-radius: 8px;
  background: var(--background-color-inverse);
  box-sizing: border-box;
  z-index: 1;
}

.header__mobile-icon {
  stroke: var(--text-color-inverse);
}

/* Overlay */
.header__mobile-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  max-height: 100vh;
  overflow: auto;
  background-color: var(--background-color-transparent);
  overscroll-behavior: contain; /* to prevent outside page from scrolling */
  z-index: 0;
}

.header__mobile-menu {
  padding: 68px 10px 10px;
}

/* Animations */
.header-mobile-menu-animation {
  &-enter {
    max-height: 0;
    transition: max-height 0.5s;
  }

  &-enter-active {
    max-height: 100vh;
  }

  &-exit {
    max-height: 100vh;
    transition: max-height 0.5s;
  }

  &-exit-active {
    max-height: 0;
  }
}
